maybe chmod 0644 'default/networking'
maybe chmod 0644 'default/nginx'
maybe chmod 0644 'default/nss'
+maybe chmod 0644 'default/opendkim'
maybe chmod 0644 'default/rcS'
maybe chmod 0644 'default/rsync'
maybe chmod 0644 'default/rsyslog'
maybe chmod 0755 'init.d/netfilter-persistent'
maybe chmod 0755 'init.d/networking'
maybe chmod 0755 'init.d/nginx'
+maybe chmod 0755 'init.d/opendkim'
maybe chmod 0755 'init.d/php5-fpm'
maybe chmod 0755 'init.d/postfix'
maybe chmod 0755 'init.d/procps'
maybe chmod 0644 'nginx/uwsgi_params'
maybe chmod 0644 'nginx/win-utf'
maybe chmod 0644 'nsswitch.conf'
+maybe chmod 0644 'opendkim.conf'
maybe chmod 0755 'opt'
maybe chmod 0644 'pam.conf'
maybe chmod 0755 'pam.d'
--- /dev/null
+# Command-line options specified here will override the contents of
+# /etc/opendkim.conf. See opendkim(8) for a complete list of options.
+#DAEMON_OPTS=""
+#
+# Uncomment to specify an alternate socket
+# Note that setting this will override any Socket value in opendkim.conf
+#SOCKET="local:/var/run/opendkim/opendkim.sock" # default
+#SOCKET="inet:54321" # listen on all interfaces on port 54321
+#SOCKET="inet:12345@localhost" # listen on loopback on port 12345
+#SOCKET="inet:12345@192.0.2.1" # listen on 192.0.2.1 on port 12345
iredapd:x:2002:
ulog:x:121:
wireshark:x:122:
+opendkim:x:123:
-root:x:0:frank
-daemon:x:1:frank
-bin:x:2:frank
-sys:x:3:frank
+root:x:0:frank,taurec
+daemon:x:1:frank,taurec
+bin:x:2:frank,taurec
+sys:x:3:frank,taurec
adm:x:4:
-tty:x:5:frank
-disk:x:6:frank
-lp:x:7:frank
-mail:x:8:frank
+tty:x:5:frank,taurec
+disk:x:6:frank,taurec
+lp:x:7:frank,taurec
+mail:x:8:frank,taurec
news:x:9:
uucp:x:10:
-man:x:12:frank
+man:x:12:frank,taurec
proxy:x:13:
kmem:x:15:
dialout:x:20:
cdrom:x:24:
floppy:x:25:
tape:x:26:
-sudo:x:27:frank
-audio:x:29:frank
+sudo:x:27:frank,taurec
+audio:x:29:frank,taurec
dip:x:30:
www-data:x:33:
backup:x:34:
-operator:x:37:frank
+operator:x:37:frank,taurec
list:x:38:
irc:x:39:
src:x:40:
gnats:x:41:
shadow:x:42:
utmp:x:43:
-video:x:44:frank
+video:x:44:frank,taurec
sasl:x:45:
plugdev:x:46:
-staff:x:50:frank
-games:x:60:frank
+staff:x:50:frank,taurec
+games:x:60:frank,taurec
users:x:100:
nogroup:x:65534:
input:x:101:
systemd-network:x:104:
systemd-resolve:x:105:
systemd-bus-proxy:x:106:
-crontab:x:107:frank
+crontab:x:107:frank,taurec
netdev:x:108:
ssh:x:109:
messagebus:x:110:
-mlocate:x:111:frank
+mlocate:x:111:frank,taurec
mysql:x:112:
ssl-cert:x:113:
postfix:x:114:
iredapd:!::
ulog:!::
wireshark:!::
+opendkim:!::
-root:*::frank
-daemon:*::frank
-bin:*::frank
-sys:*::frank
+root:*::frank,taurec
+daemon:*::frank,taurec
+bin:*::frank,taurec
+sys:*::frank,taurec
adm:*::
-tty:*::frank
-disk:*::frank
-lp:*::frank
-mail:*::frank
+tty:*::frank,taurec
+disk:*::frank,taurec
+lp:*::frank,taurec
+mail:*::frank,taurec
news:*::
uucp:*::
-man:*::frank
+man:*::frank,taurec
proxy:*::
kmem:*::
dialout:*::
cdrom:*::
floppy:*::
tape:*::
-sudo:*::frank
-audio:*::frank
+sudo:*::frank,taurec
+audio:*::frank,taurec
dip:*::
www-data:*::
backup:*::
-operator:*::frank
+operator:*::frank,taurec
list:*::
irc:*::
src:*::
gnats:*::
shadow:*::
utmp:*::
-video:*::frank
+video:*::frank,taurec
sasl:*::
plugdev:*::
-staff:*::frank
-games:*::frank
+staff:*::frank,taurec
+games:*::frank,taurec
users:*::
nogroup:*::
input:!::
systemd-network:!::
systemd-resolve:!::
systemd-bus-proxy:!::
-crontab:!::frank
+crontab:!::frank,taurec
netdev:!::
ssh:!::
messagebus:!::
-mlocate:!::frank
+mlocate:!::frank,taurec
mysql:!::
ssl-cert:!::
postfix:!::
--- /dev/null
+#! /bin/sh
+#
+### BEGIN INIT INFO
+# Provides: opendkim
+# Required-Start: $syslog $time $local_fs $remote_fs $named $network
+# Required-Stop: $syslog $time $local_fs $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start the OpenDKIM service
+# Description: Enable DKIM signing and verification provided by OpenDKIM
+### END INIT INFO
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/opendkim
+NAME=opendkim
+DESC="OpenDKIM"
+RUNDIR=/var/run/$NAME
+USER=opendkim
+GROUP=opendkim
+SOCKET=local:$RUNDIR/$NAME.sock
+PIDFILE=$RUNDIR/$NAME.pid
+
+# How long to wait for the process to die on stop/restart
+stoptimeout=5
+
+test -x $DAEMON || exit 0
+
+# Include LSB provided init functions
+. /lib/lsb/init-functions
+
+# Include opendkim defaults if available
+if [ -f /etc/default/opendkim ] ; then
+ . /etc/default/opendkim
+fi
+
+if [ -f /etc/opendkim.conf ]; then
+ CONFIG_SOCKET=`awk '$1 == "Socket" { print $2 }' /etc/opendkim.conf`
+fi
+
+# This can be set via Socket option in config file, so it's not required
+if [ -n "$SOCKET" -a -z "$CONFIG_SOCKET" ]; then
+ DAEMON_OPTS="-p $SOCKET $DAEMON_OPTS"
+fi
+
+DAEMON_OPTS="-x /etc/opendkim.conf -u $USER -P $PIDFILE $DAEMON_OPTS"
+
+start() {
+ # Create the run directory if it doesn't exist
+ if [ ! -d "$RUNDIR" ]; then
+ install -o "$USER" -g "$GROUP" -m 755 -d "$RUNDIR" || return 2
+ [ -x /sbin/restorecon ] && /sbin/restorecon "$RUNDIR"
+ fi
+ # Clean up stale sockets
+ if [ -f "$PIDFILE" ]; then
+ pid=`cat $PIDFILE`
+ if ! ps -C "$DAEMON" -s "$pid" >/dev/null; then
+ rm "$PIDFILE"
+ TMPSOCKET=""
+ if [ -n "$SOCKET" ]; then
+ TMPSOCKET="$SOCKET"
+ elif [ -n "$CONFIG_SOCKET" ]; then
+ TMPSOCKET="$CONFIG_SOCKET"
+ fi
+ if [ -n "$TMPSOCKET" ]; then
+ # UNIX sockets may be specified with or without the
+ # local: prefix; handle both
+ t=`echo $SOCKET | cut -d: -f1`
+ s=`echo $SOCKET | cut -d: -f2`
+ if [ -e "$s" -a -S "$s" ]; then
+ if [ "$t" = "$s" -o "$t" = "local" ]; then
+ rm "$s"
+ fi
+ fi
+ fi
+ fi
+ fi
+ start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec "$DAEMON" --test -- $DAEMON_OPTS || return 1
+ start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec "$DAEMON" -- $DAEMON_OPTS || return 2
+ # Detect exit status 78 (configuration error)
+ ret=$?
+ if [ $ret -eq 78 ]; then
+ echo "See /usr/share/doc/opendkim/README.Debian for help"
+ echo "Starting for DKIM verification only"
+ DAEMON_OPTS="-b v $DAEMON_OPTS"
+ start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec "$DAEMON" -- $DAEMON_OPTS
+ exit 0
+ elif [ $ret -ne 0 ]; then
+ exit $ret
+ fi
+}
+
+stop() {
+ start-stop-daemon --stop --retry "$stoptimeout" --exec "$DAEMON"
+ [ "$?" = 2 ] && return 2
+}
+
+reload() {
+ start-stop-daemon --stop --signal USR1 --exec "$DAEMON"
+}
+
+status() {
+ local pidfile daemon name status
+
+ pidfile=
+ OPTIND=1
+ while getopts p: opt ; do
+ case "$opt" in
+ p) pidfile="$OPTARG";;
+ esac
+ done
+ shift $(($OPTIND - 1))
+
+ if [ -n "$pidfile" ]; then
+ pidfile="-p $pidfile"
+ fi
+ daemon="$1"
+ name="$2"
+
+ status="0"
+ pidofproc $pidfile $daemon >/dev/null || status="$?"
+ if [ "$status" = 0 ]; then
+ log_success_msg "$name is running"
+ return 0
+ else
+ log_failure_msg "$name is not running"
+ return $status
+ fi
+}
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ stop
+ echo "$NAME."
+ ;;
+ restart)
+ echo -n "Restarting $DESC: "
+ stop
+ start
+ echo "$NAME."
+ ;;
+ reload|force-reload)
+ echo -n "Restarting $DESC: "
+ reload
+ echo "$NAME."
+ ;;
+ status)
+ status $DAEMON $NAME
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
--- /dev/null
+# This is a basic configuration that can easily be adapted to suit a standard
+# installation. For more advanced options, see opendkim.conf(5) and/or
+# /usr/share/doc/opendkim/examples/opendkim.conf.sample.
+
+# Log to syslog
+Syslog yes
+# Required to use local socket with MTAs that access the socket as a non-
+# privileged user (e.g. Postfix)
+UMask 002
+
+# Sign for example.com with key in /etc/mail/dkim.key using
+# selector '2007' (e.g. 2007._domainkey.example.com)
+#Domain example.com
+#KeyFile /etc/mail/dkim.key
+#Selector 2007
+
+# Commonly-used options; the commented-out versions show the defaults.
+#Canonicalization simple
+#Mode sv
+#SubDomains no
+#ADSPAction continue
+
+# Always oversign From (sign using actual From and a null From to prevent
+# malicious signatures header fields (From and/or others) between the signer
+# and the verifier. From is oversigned by default in the Debian pacakge
+# because it is often the identity key used by reputation systems and thus
+# somewhat security sensitive.
+OversignHeaders From
+
+# List domains to use for RFC 6541 DKIM Authorized Third-Party Signatures
+# (ATPS) (experimental)
+
+#ATPSDomains example.com
ulog:x:113:121::/var/log/ulog:/bin/false
frank:x:1017:100:Frank Brehm:/home/frank:/bin/bash
taurec:x:1000:100:Jörn Valentin:/home/taurec:/bin/bash
+opendkim:x:114:123::/var/run/opendkim:/bin/false
iredapd:x:2002:2002::/home/iredapd:/usr/sbin/nologin
ulog:x:113:121::/var/log/ulog:/bin/false
frank:x:1017:100:Frank Brehm:/home/frank:/bin/bash
+taurec:x:1000:100:Jörn Valentin:/home/taurec:/bin/bash
+opendkim:x:114:123::/var/run/opendkim:/bin/false
--- /dev/null
+../init.d/opendkim
\ No newline at end of file
--- /dev/null
+../init.d/opendkim
\ No newline at end of file
--- /dev/null
+../init.d/opendkim
\ No newline at end of file
--- /dev/null
+../init.d/opendkim
\ No newline at end of file
--- /dev/null
+../init.d/opendkim
\ No newline at end of file
--- /dev/null
+../init.d/opendkim
\ No newline at end of file
--- /dev/null
+../init.d/opendkim
\ No newline at end of file
ulog:*:17003:0:99999:7:::
frank:$6$XvWKCqsO$ilXvfnvvIT/ot91lmWUlX.crje8qP/jQvAh9r1XTUJFWKKM9mx5YdCOpBBBjqJ/vqrBo2tqTo5LpLKNAv1F241:17007:0:99999:7:::
taurec:!:17026:0:99999:7:::
+opendkim:*:17261:0:99999:7:::
iredapd:!:17002:0:99999:7:::
ulog:*:17003:0:99999:7:::
frank:$6$XvWKCqsO$ilXvfnvvIT/ot91lmWUlX.crje8qP/jQvAh9r1XTUJFWKKM9mx5YdCOpBBBjqJ/vqrBo2tqTo5LpLKNAv1F241:17007:0:99999:7:::
+taurec:!:17026:0:99999:7:::
+opendkim:*:17261:0:99999:7:::
ulog:1148576:65536
frank:1214112:65536
taurec:1279648:65536
+opendkim:1345184:65536
iredapd:1083040:65536
ulog:1148576:65536
frank:1214112:65536
+taurec:1279648:65536
ulog:1148576:65536
frank:1214112:65536
taurec:1279648:65536
+opendkim:1345184:65536
iredapd:1083040:65536
ulog:1148576:65536
frank:1214112:65536
+taurec:1279648:65536